declare type GlobResult = Record<string, () => Promise<any>>;
declare type CollectionToEntryMap = Record<string, GlobResult>;
export declare function createCollectionToGlobResultMap({ globResult, contentDir, }: {
    globResult: GlobResult;
    contentDir: string;
}): CollectionToEntryMap;
export declare function parseEntryData(collection: string, entry: {
    id: string;
    data: any;
    _internal: {
        rawData: string;
        filePath: string;
    };
}, collectionToSchemaMap: CollectionToEntryMap): Promise<any>;
export declare const getErrorMsg: {
    schemaFileMissing: (collection: string) => string;
    schemaNamedExpMissing: (collection: string) => string;
};
export declare function createGetCollection({ collectionToEntryMap, collectionToSchemaMap, }: {
    collectionToEntryMap: CollectionToEntryMap;
    collectionToSchemaMap: CollectionToEntryMap;
}): (collection: string, filter?: () => boolean) => Promise<{
    id: any;
    slug: any;
    body: any;
    collection: any;
    data: any;
}[]>;
export declare function createGetEntry({ collectionToEntryMap, collectionToSchemaMap, }: {
    collectionToSchemaMap: CollectionToEntryMap;
    collectionToEntryMap: CollectionToEntryMap;
}): (collection: string, entryId: string) => Promise<{
    id: any;
    slug: any;
    body: any;
    collection: any;
    data: any;
}>;
export declare function createCollectionToPaths({ getCollection, }: {
    getCollection: ReturnType<typeof createGetCollection>;
}): (collection: string) => Promise<{
    params: {
        slug: any;
    };
    props: {
        id: any;
        slug: any;
        body: any;
        collection: any;
        data: any;
    };
}[]>;
export declare function createRenderEntry({ collectionToRenderEntryMap, }: {
    collectionToRenderEntryMap: CollectionToEntryMap;
}): (this: any, entry: {
    collection: string;
    id: string;
}) => Promise<{
    Content: any;
    headings: any;
}>;
export {};
